@import '../../variables.scss';

.GamePage {
  display: flex;
  flex-direction: column;
  height: 100%;
  position: relative;
}

.GamePage > main {
  display: block;
  text-align: center;
}

@media screen and (max-width: 30rem) {
  .GamePage,
  .GamePage > main {
    width: fit-content;
  }
}

.GamePage > main > .verticalLayout {
  position: relative;
  display: inline-block;
  margin: 0 1rem 1rem 1rem;
  vertical-align: top;
  text-align: start;
}

.GamePage > main > .verticalLayout > * {
  display: block;
}

.GamePage > main > .verticalLayout > .sunkenShips {
  font-style: italic;
  margin-top: 0.25rem;
}

.GamePage h3 {
  margin-top: 0;
  margin-bottom: 0.5rem;
}
